---
product: "AG Charts"
title: "Axis Configuration"
description: "Learn how to configure and customise axes in React charts, including automatic axis selection, axis customisation, and binding axes to series."
framework: react
version: "14.2.0"
related:
    - title: "Axis Types"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-types/"
    - title: "Axis Intervals"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-intervals/"
    - title: "Axis Domain"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-domain/"
    - title: "Axis Position"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-position/"
    - title: "Axis Labels"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-labels/"
    - title: "Time Axes"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-time/"
    - title: "Grid Lines & Band Shading"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-grid-lines/"
    - title: "Secondary Axes"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/axes-secondary/"
llms: "https://www.ag-grid.com/charts/archive/14.2.0/llms.txt"
---

# Axis Configuration

This page provides an overview of axis configuration in AG Charts, including automatic axis selection, customisation basics, and how to bind axes to series.

## Automatic Axis Selection

In most cases, AG Charts will automatically select an appropriate axis type based on the data and series type used in the chart.

This automatic selection removes the need for explicit axis configuration in many scenarios.

## Customising Axes

Axes are referenced using a dictionary of axis definitions, where each axis is identified by a key. The default keys are `x` and `y` for cartesian axes, or `radius` and `angle` for polar axes.

Only the configured chart axes and options must be provided. It is recommended to provide the `type` to allow type-checking and improved options validation. When using [Secondary Axes](https://www.ag-grid.com/charts/archive/14.2.0/react/axes-secondary/), it is recommended to specify `position` to prevent ambiguity.

#### Customising Axes

```tsx
import React, { useState } from "react";
import { createRoot } from "react-dom/client";
import { AgCharts } from "ag-charts-react";
import {
  AgCartesianChartOptions,
  AllCommunityModule,
  ModuleRegistry,
} from "ag-charts-community";
import { getData } from "./data";

ModuleRegistry.registerModules(AllCommunityModule);

const ChartExample = () => {
  const [options, setOptions] = useState<AgCartesianChartOptions>({
    data: getData(),
    title: {
      text: "Monthly Sales",
    },
    series: [
      {
        type: "bar",
        xKey: "month",
        yKey: "sales",
        yName: "Sales",
      },
    ],
    axes: {
      x: {
        type: "category",
        label: { fontSize: 15 },
      },
      y: {
        type: "number",
        title: { text: "Sales (USD)" },
      },
    },
  });

  return <AgCharts options={options} />;
};

const root = createRoot(document.getElementById("root")!);
root.render(<ChartExample />);
```

[Live example: Customising Axes](https://www.ag-grid.com/charts/archive/14.2.0/reactFunctionalTs/axes-configuration/examples/axis-configuration/)

```js
{
    axes: {
        x: {
            type: 'category',
            label: { fontSize: 15 },
        },
        y: {
            type: 'number',
            title: { text: 'Sales (USD)' },
        },
    },
}
```

In this example:

- The axes are using the default `x` and `y` keys, and are automatically linked to the series.
- The `x` axis is customised with a larger font size, and the `y` axis is customised with a title.
- All other axis options use the defaults.

## Axis Title Orientation

The axis title aligns with the axis line. Use the `title.orientation` option to customise this

- `'horizontal'` renders the title in the normal left-to-right reading direction.
- `'vertical'` and `'vertical-reversed'` rotate it a quarter-turn in opposite directions, which is useful for flipping a secondary axis title.

```js
{
    axes: {
        y: {
            type: 'number',
            title: { text: 'Sales (USD)', orientation: 'horizontal' },
        },
    },
}
```

## Secondary and Named Axes

While `x` and `y` are the default axis keys for cartesian charts, you can define axes with custom keys. This allows for creating secondary axes or using more descriptive names for readability.

#### Secondary Axes

```tsx
import React, { useState } from "react";
import { createRoot } from "react-dom/client";
import { AgCharts } from "ag-charts-react";
import {
  AgChartOptions,
  AllCommunityModule,
  ModuleRegistry,
} from "ag-charts-community";
import { getData } from "./data";

ModuleRegistry.registerModules(AllCommunityModule);

const ChartExample = () => {
  const [options, setOptions] = useState<AgChartOptions>({
    data: getData(),
    title: {
      text: "Monthly Revenue and Profit",
    },
    series: [
      {
        type: "bar",
        xKey: "month",
        yKey: "profit",
        yName: "Profit Margin",
        yKeyAxis: "profit",
      },
      {
        type: "line",
        xKey: "month",
        yKey: "revenue",
        yName: "Revenue",
        yKeyAxis: "revenue",
      },
    ],
    axes: {
      revenue: {
        type: "number",
        position: "right",
        title: { text: "Revenue" },
      },
      profit: {
        type: "number",
        position: "left",
        title: { text: "Profit" },
      },
    },
  });

  return <AgCharts options={options} />;
};

const root = createRoot(document.getElementById("root")!);
root.render(<ChartExample />);
```

[Live example: Secondary Axes](https://www.ag-grid.com/charts/archive/14.2.0/reactFunctionalTs/axes-configuration/examples/multiple-axes/)

For detailed information on creating and configuring secondary axes, see the [Secondary Axes](https://www.ag-grid.com/charts/archive/14.2.0/react/axes-secondary/) page.

## Polar Axes

For radial and polar charts, the angle and radius axes replace the traditional x and y axes. These use the `angle` and `radius` keys by default.

```js
{
    axes: {
        angle: {
            type: 'angle-category',
        },
        radius: {
            type: 'radius-number',
        },
    },
}
```

Refer to the individual series documentation such as [Radar Area](https://www.ag-grid.com/charts/archive/14.2.0/react/radar-area-series/) or [Radial Bar](https://www.ag-grid.com/charts/archive/14.2.0/react/radial-bar-series/), for specific axis configuration details.

## Customisation

For a comprehensive list of all axis configuration options, see the [Axis Types API Reference](https://www.ag-grid.com/charts/archive/14.2.0/react/axes-types/#api-reference).


---
product: "AG Charts"
title: "Axis Configuration"
description: "Learn how to configure and customise axes in Vue charts, including automatic axis selection, axis customisation, and binding axes to series."
framework: vue
version: "14.2.0"
related:
    - title: "Axis Types"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-types/"
    - title: "Axis Intervals"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-intervals/"
    - title: "Axis Domain"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-domain/"
    - title: "Axis Position"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-position/"
    - title: "Axis Labels"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-labels/"
    - title: "Time Axes"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-time/"
    - title: "Grid Lines & Band Shading"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-grid-lines/"
    - title: "Secondary Axes"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-secondary/"
llms: "https://www.ag-grid.com/charts/archive/14.2.0/llms.txt"
---

# Axis Configuration

This page provides an overview of axis configuration in AG Charts, including automatic axis selection, customisation basics, and how to bind axes to series.

## Automatic Axis Selection

In most cases, AG Charts will automatically select an appropriate axis type based on the data and series type used in the chart.

This automatic selection removes the need for explicit axis configuration in many scenarios.

## Customising Axes

Axes are referenced using a dictionary of axis definitions, where each axis is identified by a key. The default keys are `x` and `y` for cartesian axes, or `radius` and `angle` for polar axes.

Only the configured chart axes and options must be provided. It is recommended to provide the `type` to allow type-checking and improved options validation. When using [Secondary Axes](https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-secondary/), it is recommended to specify `position` to prevent ambiguity.

#### Customising Axes

```ts
import { createApp, defineComponent, ref } from "vue";
import { AgCharts } from "ag-charts-vue3";
import type { AgChartOptions } from "ag-charts-types";
import { AllCommunityModule, ModuleRegistry } from "ag-charts-community";
import { getData } from "./data";

ModuleRegistry.registerModules(AllCommunityModule);

const ChartExample = defineComponent({
  template: `
    <ag-charts
      :options="options"
    />
  `,
  components: {
    "ag-charts": AgCharts,
  },
  setup(props) {
    const options = ref<AgCartesianChartOptions>({
      data: getData(),
      title: {
        text: "Monthly Sales",
      },
      series: [
        {
          type: "bar",
          xKey: "month",
          yKey: "sales",
          yName: "Sales",
        },
      ],
      axes: {
        x: {
          type: "category",
          label: { fontSize: 15 },
        },
        y: {
          type: "number",
          title: { text: "Sales (USD)" },
        },
      },
    });

    return {
      options,
    };
  },
});

createApp(ChartExample).mount("#app");
```

[Live example: Customising Axes](https://www.ag-grid.com/charts/archive/14.2.0/vue3/axes-configuration/examples/axis-configuration/)

```js
{
    axes: {
        x: {
            type: 'category',
            label: { fontSize: 15 },
        },
        y: {
            type: 'number',
            title: { text: 'Sales (USD)' },
        },
    },
}
```

In this example:

- The axes are using the default `x` and `y` keys, and are automatically linked to the series.
- The `x` axis is customised with a larger font size, and the `y` axis is customised with a title.
- All other axis options use the defaults.

## Axis Title Orientation

The axis title aligns with the axis line. Use the `title.orientation` option to customise this

- `'horizontal'` renders the title in the normal left-to-right reading direction.
- `'vertical'` and `'vertical-reversed'` rotate it a quarter-turn in opposite directions, which is useful for flipping a secondary axis title.

```js
{
    axes: {
        y: {
            type: 'number',
            title: { text: 'Sales (USD)', orientation: 'horizontal' },
        },
    },
}
```

## Secondary and Named Axes

While `x` and `y` are the default axis keys for cartesian charts, you can define axes with custom keys. This allows for creating secondary axes or using more descriptive names for readability.

#### Secondary Axes

```ts
import { createApp, defineComponent, ref } from "vue";
import { AgCharts } from "ag-charts-vue3";
import type { AgChartOptions } from "ag-charts-types";
import { AllCommunityModule, ModuleRegistry } from "ag-charts-community";
import { getData } from "./data";

ModuleRegistry.registerModules(AllCommunityModule);

const ChartExample = defineComponent({
  template: `
    <ag-charts
      :options="options"
    />
  `,
  components: {
    "ag-charts": AgCharts,
  },
  setup(props) {
    const options = ref<AgChartOptions>({
      data: getData(),
      title: {
        text: "Monthly Revenue and Profit",
      },
      series: [
        {
          type: "bar",
          xKey: "month",
          yKey: "profit",
          yName: "Profit Margin",
          yKeyAxis: "profit",
        },
        {
          type: "line",
          xKey: "month",
          yKey: "revenue",
          yName: "Revenue",
          yKeyAxis: "revenue",
        },
      ],
      axes: {
        revenue: {
          type: "number",
          position: "right",
          title: { text: "Revenue" },
        },
        profit: {
          type: "number",
          position: "left",
          title: { text: "Profit" },
        },
      },
    });

    return {
      options,
    };
  },
});

createApp(ChartExample).mount("#app");
```

[Live example: Secondary Axes](https://www.ag-grid.com/charts/archive/14.2.0/vue3/axes-configuration/examples/multiple-axes/)

For detailed information on creating and configuring secondary axes, see the [Secondary Axes](https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-secondary/) page.

## Polar Axes

For radial and polar charts, the angle and radius axes replace the traditional x and y axes. These use the `angle` and `radius` keys by default.

```js
{
    axes: {
        angle: {
            type: 'angle-category',
        },
        radius: {
            type: 'radius-number',
        },
    },
}
```

Refer to the individual series documentation such as [Radar Area](https://www.ag-grid.com/charts/archive/14.2.0/vue/radar-area-series/) or [Radial Bar](https://www.ag-grid.com/charts/archive/14.2.0/vue/radial-bar-series/), for specific axis configuration details.

## Customisation

For a comprehensive list of all axis configuration options, see the [Axis Types API Reference](https://www.ag-grid.com/charts/archive/14.2.0/vue/axes-types/#api-reference).
